/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* 
 * ezfc-utils.h
 * Copyright (C) 2011 Akira TAGOH
 * 
 * Authors:
 *   Akira TAGOH  <akira@tagoh.org>
 * 
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#if !defined (__EZFC_H__INSIDE) && !defined (__EZFC_COMPILATION)
#error "Only <libeasyfc/ezfc.h> can be included directly."
#endif

#ifndef __EZFC_UTILS_H__
#define __EZFC_UTILS_H__

#include <glib.h>

G_BEGIN_DECLS

/**
 * SECTION:ezfc-utils
 * @Short_Description: A collection of the utility functions
 * @Title: Utilities
 *
 * This collects some utility functions.
 */

void      ezfc_init                  (void);
void      ezfc_finalize              (void);
gboolean  ezfc_is_alias_font         (const gchar *alias_name);
GList    *ezfc_get_fonts_list        (const gchar *language,
				      const gchar *alias_name);
GList    *ezfc_get_fonts_pattern_list(const gchar *language,
				      const gchar *alias_name);

G_END_DECLS

#endif /* __EZFC_UTILS_H__ */
